intervals {secr} | R Documentation

## Work with Open Population data

### Description

Functions for data manipulation

### Usage

    intervals(object, ...)
    intervals(object) <- value
    sessionlabels(object, ...)
    sessionlabels(object) <- value

### Arguments

`object` | capthist object
`value` | vector of intervals or primary session labels
`...` | other arguments (not used)

### Details

`intervals` extracts the ‘interval’ attribute if it exists.

The attribute ‘intervals’ is set automatically by the secr function `join`.

`sessionlabels` provides session names for the primary sessions encoded in a “single-session” capthist object (e.g., the result of `join`) that has an intervals attribute. The names are used by some summary functions in the package openCR (M. Efford unpubl.) (`m.array`, `JS.counts`).

The function `session` has a different purpose: labelling sessions in a multi-session capthist object. However, `session` names of multi-session input are used automatically by `join` to construct the `sessionlabels` attribute of the resulting single-session object.

### Value

For `intervals`, a numeric vector of time intervals, one less than the number of occasions (secondary sessions).

For `sessionlabels`, a character vector of primary session names.

### Note

There is a naming conflict with the intervals function in nlme.

### Examples

    singlesessionCH <- join(ovenCH)
    intervals(singlesessionCH)
    sessionlabels(singlesessionCH)

[Package secr version 3.2.1 Index]